' ------------------------------------------------------------------------------------
'                        AddCustomTool.vbs
' This script shows how to create "custom tools" from a script.
' Three custom tools are created using VBScript, JavaScript and Perl (if installed as
' first additional script engine) with the following shortcuts:
'	Ctrl+B, Ctrl+C and Ctrl+E.
' The user is then prompted if he want to keep them or remove them.
' ------------------------------------------------------------------------------------
option explicit

app.AddCustomTool "MsgBox VBS", "2|MsgBox ""MyAlbum version: "" & app.Version, 0, ""MyAlbum does VBScript!!!""", asc("B"), 2, false
app.AddCustomTool "MsgBox JavaScript", "3|var s = ""MyAlbum version: "";" & vbCrLf & "App.StatusBarText = s.concat( App.Version );", 67, 2, false
app.AddCustomTool "MsgBox Perl", "101|MsgBox( ""MyAlbum version: "" . $App->Version, 0, ""MyAlbum does PerlScript!"" );", 69, 2, false

if vbYes = MsgBox( "Do you want to remove the created custom tools ?", vbYesNo or vbQuestion, "AddCustomTool.vbs") then
  app.RemoveCustomTool "MsgBox VBS", false
  app.RemoveCustomTool "MsgBox JavaScript", false
  app.RemoveCustomTool "MsgBox Perl", false
end if
