Option Explicit

dim alb, pic, i, nb, kw, cf, nbPic

app.ClearTrace
app.Trace "MyAlbum version: " & app.Version
'set alb = app.LoadAlbum("D:\WINDOWS\SDK\MyAlbum\DemoAlbum\Demo2.alb")
set alb = app.GetCurrentAlbum

' List the keywords
nb = alb.nbKeyword
app.Trace "Keywords in this album: " & nb
for i=0 to nb-1
    set kw = alb.GetKeyword(i) 
    app.trace chr(9) & i & " : " & kw.sName & " (" & kw.nKeyID & ")"
next

' List the custom fields
nb = alb.nbCustomField
app.Trace "Custom fields in this album: " & nb
for i=0 to nb-1
    set cf = alb.GetCustomField(i)
    app.trace chr(9) & i & " : " & cf.sName & " (" & cf.nKeyID & ")"
next

' List the pictures and select them
nbPic = alb.nbPicture
app.Trace "Pictures in this album: " & nbPic
for i=0 to nbPic-1
    Set pic = alb.GetPicture(i)
    pic.bSelected = True
    dim lDate
    lDate = pic.lFileTime
    app.trace i & " : " & pic.sShortFileName & " - " & pic.sCommentFirstLine & " " _
	& app.TimeToString( lDate, CF_DATE ) & " " & app.TimeToString( lDate, CF_TIME ) & vbtab & _
	pic.GetCustomFieldDate("Date")
next

'Force the redraw of the album
alb.ReDraw
