'-------------------------------------------------------------------------
'			DuplicatePic.vbs
' Takes the first picture in the album and duplicates it 20 times
' in the same album.
'-------------------------------------------------------------------------
Option Explicit

app.cleartrace

' Define the variables
dim alb, i, pic, albFile, newPic

set alb = app.GetCurrentAlbum

Set pic = alb.GetPicture(0)
albFile = alb.ExpandMacro( pic, "%RP" )

for i = 1 to 20
   set newPic = alb.NewPicture( pic.w, pic.h, pic.bpp, 0 )
   newPic.sFileName = albFile
   newPic.lStatus = pic.lStatus
   newPic.UpdateThumbnail True
next

alb.ReDraw
app.trace "Done !"
