'------------------------------------------------------------
'			FindDateInRange.vbs
'	This script will ask the user for a date (e.g. 2/22/03),
'	a range of days (e.g. 4)
'	and will select all photos in the album that fall within that range
'------------------------------------------------------------

Option Explicit

dim alb, pic, InputDate, InputRange, i
set alb = app.GetCurrentAlbum

InputDate = app.DateToTimeValue(CDate(InputBox("Date Center: (MM/DD/YYYY)")))
InputRange = InputBox("Day Range: ")*86400

for i=0 to alb.nbPicture-1
    Set pic = alb.GetPicture(i)
    if(abs(pic.GetCustomFieldDate("Date") - InputDate) <= InputRange) then
        pic.bSelected = true
    else
        pic.bSelected = false
    end if
next

alb.ReDraw()
