//----------------------------------------------------------------------------
//			ListAlbum.js
// This is a simple album lister in JavaScript
//----------------------------------------------------------------------------

App.ClearTrace();
var ForReading = 1;
var ForWriting = 2;

var alb, pic, nbPic, i, outputFileName, nbCF;

outputFileName = "AlbumList.txt";
App.Trace( "Output file = " + outputFileName );
var fso, f, m;
fso = new ActiveXObject( "Scripting.FileSystemObject" );
f = fso.OpenTextFile( outputFileName, ForWriting, true );

alb = App.GetCurrentAlbum();
nbPic = alb.nbVisiblePicture;
nbCF = alb.nbCustomField;
for (i = 0; i < nbPic; i++) {
    pic = alb.GetVisiblePicture(i);
    app.trace( " Processing picture '" + pic.sFileName + "'..." );
    f.WriteLine( "Image # " + i + "  " + pic.sFileName + "\tSize : " + pic.w + 'x' + pic.h + ' ' + pic.bpp  );
    f.WriteLine( pic.sComment );
    f.WriteLine( alb.ExpandMacro( pic, "%PK" ) );
    for (j = 1; j <= nbCF; j++) {
      f.WriteLine( alb.ExpandMacro( pic, "%c" + j + '=' + "%C" + j ) );
    }
    f.WriteLine( "" );
}
f.Close();
App.Run( outputFileName, true, 1 );
App.Trace( "Album list complete !" );

