' ------------------------------------------------------------------------------------
'				SetFPXR.vbs
' This script will check each picture in the current album to see if it has an
' embedded sound (fpxr extension).
' If so, the Play Command of the picture is set to "fpxr" so the sound will be played
' when the picture is displayed.
' ------------------------------------------------------------------------------------

Option Explicit

app.ClearTrace

' Define the variables
dim alb, nb, i, pic

set alb = app.GetCurrentAlbum

nb = alb.nbPicture
alb.nbSelectedPicture = 0
app.Trace "Pictures in this album: " & nb
'nb = 20
for i=0 to nb-1
    Set pic = alb.GetPicture(i)
    pic.load True
    if pic.nPicDataCount > 0 then
      'pic.getPicDataSize(
      pic.bSelected = True
      app.trace "Found data bloc type " & pic.getPicDataType(0) & " in picture " & pic.sShortFileName & " - " & pic.sCommentFirstLine
      pic.sPlayCmd = "fpxr"
    end if
    pic.load False
next

alb.redraw
app.Trace "Done !"

