' ------------------------------------------------------------------------------------
'				StartStereoscopeApplet.vbs
'
' This script will launch the Stereoscope Java Applet on the current picture
' (assuming it contains both left and right view).
' The Stereoscope Java Applet from Andreas Petersik (http://www.stereofoto.de/sapplet/)
' is avery cool applet for viewing stereo pictures.
' Download it first from Andreas Petersik's site.
' Modify the values in the block of const(ants) to suits your configuration and needs.
' ------------------------------------------------------------------------------------

Option Explicit

app.ClearTrace

'const stereoscopePath = "D:\HTML\StereoScope"	' Replace by the full path of the applet
const stereoscopePath = "M:\Images\Stro"	' Replace by the full path of the applet


Dim alb, pic, sCmd
set alb = app.GetCurrentAlbum
set pic = alb.GetVisiblePicture( alb.nCurrentPicture )

sCmd = "java -mx256m -ms64m -cp " & stereoscopePath & "\stereoscope.jar;" & stereoscopePath & " Stereoscope """ & alb.ExpandMacro( pic, "%RP" ) & """"
app.Trace sCmd
app.Run sCmd, False, 0
