' ------------------------------------------------------------------------------------
'				Start_StereoscopicPlayer.vbs
' Use this script to start the Stereoscopic Player. 
' The Stereoscopic Player is a free (for non-commercial use) player by Peter Wimmer
' for displaying stereoscopic videos. It can be found at:
'	http://mitglied.lycos.de/stereo3d
' ------------------------------------------------------------------------------------
option explicit

' Standard access path for the Stereoscopic Player (change it as needed)
const sSP_Path = """C:\Program Files\Stereoscopic Player\StereoPlayer.exe"""
' Optional parameters for specifying the input and output formats (see http://mitglied.lycos.de/stereo3d/cmdlineparams.htm)
const sSP_Params = "-il:SideBySideRF -ol:SideBySideRF -play -fss"

dim alb, pic, sCmd
app.ClearTrace
set alb = app.GetCurrentAlbum
if not alb is Nothing then
  set pic = alb.GetVisiblePicture( alb.nCurrentPicture )
  if not pic is Nothing then
    if (pic.lStatus and &hff) = TYPE_VID then
      sCmd = sSP_Path & " -file:""" & alb.ExpandMacro( pic, "%RP" ) & """ " & sSP_Params
      app.Trace sCmd
      app.run sCmd, False, 1
    else
      app.Trace "Use this script only on Video files!", -1, TRACE_WARNING
    end if
  end if
end if
