' ------------------------------------------------------------------------------------
'				SwapCustomFields.vbs
' Swap the values of two string custom fields for the pictures of the current album.
' ------------------------------------------------------------------------------------

Option Explicit


const sCF1 = "Offset"
const sCF2 = "Offset2"

app.ClearTrace
' Define the variables
dim alb, nb, i, pic, cf, cf1, cf2, s1, s2

'set alb = app.LoadAlbum("D:\WINDOWS\SDK\MyAlbum\DemoAlbum\Demo2.alb")
set alb = app.GetCurrentAlbum

set cf1 = Nothing
set cf2 = Nothing
for i = 0 to alb.nbCustomField-1
  set cf = alb.getCustomField(i)
  if cf.sName = sCF1 then set cf1 = cf
  if cf.sName = sCF2 then set cf2 = cf
next
if cf1 is Nothing then
  app.Trace "Cannot found custom field '" & sCF1 & "' !", 255, TRACE_ERROR
elseif cf2 is Nothing then
  app.Trace "Cannot found custom field '" & sCF2 & "' !", 255, TRACE_ERROR
elseif cf1.nType <> CF_STRING or cf2.nType <> CF_STRING then
  app.Trace "The two custom fields must be of the CF_STRING type!", 255, TRACE_ERROR
else

  nb = alb.nbPicture
  app.Trace "Pictures in this album: " & nb, -1, TRACE_INFORMATION
  app.Trace "Picture" & vbTab & vbTab & vbTab & sCF1 & vbTab & "<--->" & vbTab & sCF2, &hff0000, TRACE_ARROW
  for i=0 to nb-1
    Set pic = alb.GetPicture(i)
    s1 = pic.GetCustomField(sCF1)
    s2 = pic.GetCustomField(sCF2)
    if s1 <> "" or s2 <> "" then
      pic.SetCustomField sCF1, s2
      pic.SetCustomField sCF2, s1
      app.trace pic.sShortFileName & vbTab & vbTab & pic.GetCustomField(sCF1) & vbTab & "<--->" & vbTab & pic.GetCustomField(sCF2)
    end if
  next

  alb.redraw
  alb.Saved = False
end if

app.Trace "Done !", -1, TRACE_OK

