'------------------------------------------------------------------------------------
'					TestCaptureScreen.vbs
' Test for the CaptureScreen method. Get a rectangle from the screen and paste it
' to a new picture in the current album.
'------------------------------------------------------------------------------------

app.ClearTrace

const w = 320
const h = 240

app.CaptureScreen 50,50, w,h

set alb = app.GetCurrentAlbum
set pic = alb.NewPicture( w, h, 24, 0 )
pic.Paste 0, 0
pic.PasteToThumbnail True

alb.redraw

app.Trace "Done", 0, TRACE_OK
