' ------------------------------------------------------------------------------------
'					ChangeType.vbs
'  Change the type of the current picture.
'  Thanks to...
' ------------------------------------------------------------------------------------
Option Explicit

'const TYPE_WMF = 8
'const TYPE_VID = 31
'const STATE_METAFILE = &H0800
'const STATE_VIDEO = &H1000
app.cleartrace
dim alb, pic, st, newType, nT, mask
set alb = app.GetCurrentAlbum
if not alb is nothing then
  set pic = alb.GetVisiblePicture( alb.nCurrentPicture )
  if not pic is nothing then
    st = pic.lStatus
    newType = AskForNewType()
    if newType <> -1 and newType<> "-" then
      mask = &HFFFFFF00
      nT = cint(newType)
      ' Special case for metafiles and videos
      if nT = TYPE_VID then
	nT = nT or STATE_VIDEO
      else
	mask = mask and not STATE_VIDEO
      end if
      if nT = TYPE_WMF then
	nT = nT or STATE_METAFILE
      else
	mask = mask and not STATE_METAFILE
      end if
      ' Change the type but not the other info
      st = (st and mask) or nT
      pic.lStatus = st
    end if
  end if
end if

function AskForNewType()
 AskForNewType = -1
 Const ForReading = 1, ForWriting = 2
 ' First create a simple HTML file with a form
 Dim fso, f, m, s, tempfolder, newFile, k
 Set fso = CreateObject("Scripting.FileSystemObject")

 ' We will create a HTML file with the script so no other file is required
 ' Get a temporary file and set it with a HTML suffix
 Const TemporaryFolder = 2
 Set tempfolder = fso.GetSpecialFolder( TemporaryFolder )
 newFile = tempfolder.Path & "\" & fso.GetTempName
 k = instrrev( newFile, "." )
 newFile = left( newFile, k ) & "html"


 Set f = fso.OpenTextFile( newFile, ForWriting, True)
 f.WriteLine "<HTML>" 
 f.WriteLine "<HEAD>"
 f.WriteLine "<Title>Changing the type of the current picture</Title>"
 f.WriteLine "<SCRIPT>"
 f.WriteLine "<!--"
 f.WriteLine "function doOK()"
 f.WriteLine "{"
 f.WriteLine "   window.returnValue = selectType.value;"
 f.WriteLine "   window.close()"
 f.WriteLine "}"
 f.WriteLine ""
 f.WriteLine "function doCancel()"
 f.WriteLine "{"
 f.WriteLine "   // return a special known value if the user chooses cancel"
 f.WriteLine "   window.returnValue = -1;"
 f.WriteLine "   window.close();"
 f.WriteLine "}"
 f.WriteLine "-->"
 f.WriteLine "</SCRIPT>"
 f.WriteLine "<META HTTP-EQUIV=""Content-Type"" CONTENT=""text/html; CHARSET=iso8859-1"">"
 f.WriteLine "<META NAME=""MS.LOCALE"" CONTENT=""EN-US"">"
 f.WriteLine ""
 f.WriteLine "</HEAD>"
 f.WriteLine "<BODY>"
 f.WriteLine ""
 f.WriteLine "<center>"
 f.WriteLine "Select the new type for the picture:"
 f.WriteLine "<p><SELECT id=selectType name=selectType style=""HEIGHT: 22px; WIDTH: 93px"">"
 f.WriteLine "  <OPTION selected value=0>Unknown</OPTION><OPTION value=1>BMP</OPTION>"
 f.WriteLine "  <OPTION value=2>JPEG</OPTION><OPTION value=3>GIF</OPTION>"
 f.WriteLine "  <OPTION value=4>PNG</OPTION><OPTION value=5>PCX</OPTION>"
 f.WriteLine "  <OPTION value=6>TIFF</OPTION><OPTION value=7>TGA</OPTION>"
 f.WriteLine "  <OPTION value=8>WMF/EMF</OPTION><OPTION value=20>HTML</OPTION>"
 f.WriteLine "  <OPTION value=30>Album</OPTION><OPTION value=31>Video</OPTION>"
 f.WriteLine "</SELECT></p>"
 f.WriteLine ""
 f.WriteLine "<P><INPUT type=button onclick=""doOK()"" value=OK>&nbsp;"
 f.WriteLine "<INPUT type=button onclick=""doCancel()"" value=Cancel></p>"
 f.WriteLine "</center>"
 f.WriteLine "</BODY>"
 f.WriteLine "</html>"
 f.Close

 ' Now, open the created file as a dialog box
 s = app.HTMLDialog( newFile, "", "dialogWidth:320px;dialogHeight:140px")
 'MsgBox "The new type = '" & s &"'"
 AskForNewType = s
end function

