' ------------------------------------------------------------------------------------
' This is a simple HTML generator written in VBScript
'
'    It uses the current album or a user specified album to build a Framed HTML file.
'    This file processes all the selected pictures.
'    This is version 4 which includes the FORM tags so that the forms are created in Netscape
' ------------------------------------------------------------------------------------

Option Explicit

' To run this script outside of MyAlbum, un-comment the 2 following lines:
'dim app
'set app = CreateObject("MyAlbum.Application")

app.ClearTrace


Dim alb, pic
if GetAlbum( alb ) then

    MsgBox( "This script will add the selected pictures to a Framed HTML page.  If you want alternate text to show when mouse is over the thumbnail, First fill out the Information field for each pic in the album by right mouse clicking on the pic and selecting Information.  Please select OK to continue")
    'app.Trace "Output file = " & outputFileName

    Dim outputFileName
    outputFileName = InputBox( "Please enter the name of the INDEX HTML file to create", "Simple HTML generator", "index.html")
    app.Trace "Output file = " & outputFileName

    Dim backgroundImg
    backgroundImg = InputBox( "Please enter the file name for the background image", " ")
    app.Trace "Background Image = " & backgroundImg

    Dim backgroundcolor
    backgroundcolor = InputBox( "Please enter the color for the background, choices are: black, white, green, blue, red, purple, violet, yellow, and any other basic color", "Simple HTML generator", "white")
    app.Trace "Background Color = " & backgroundcolor

    Dim fontcolor
    fontcolor = InputBox( "Please enter the color for the font, choices are: black, white, green, blue, red, purple, violet, yellow, and any other basic color", "Simple HTML generator", "black")
    app.Trace "Font Color = " & fontcolor

    Dim titlename
    titlename = InputBox( "Use this Title or enter a new Title for the web page to create", "Simple HTML generator", alb.sAlbumTitle )
    app.Trace "Web Page Title = " & titlename

    Dim maintext
    maintext = InputBox( "Please enter a text description to display in the main window of the web page to create", "Simple HTML generator", alb.sAlbumComment )
    app.Trace "Web Page Description = " & maintext

    Dim backlink
    backlink = InputBox( "Do you want a back button to a higher level web page?", "Simple HTML generator", "yes" )
    app.Trace "Back Button = " & backlink

    if backlink = "yes" then
       Dim backname
       backname = InputBox( "Enter the name of the web file that resides one directory up to link to.", "Simple HTML generator", "index.html" )
       app.Trace "File to link to = " & backname
    end if

    Dim bgmusic
    bgmusic = InputBox( "Do you want MIDI music for this web page?", "Simple HTML generator", "no" )
    app.Trace "MIDI Music = " & bgmusic

    if bgmusic = "yes" then
       Dim midiname
       midiname = InputBox( "Enter the name of the midi file, you will need to put it in the same directory.", "Simple HTML generator", " .mid" )
       app.Trace "MIDI File Name= " & midiname
    end if

    Const ForReading = 1, ForWriting = 2

    Dim fso, f, m, picPath
    Set fso = CreateObject("Scripting.FileSystemObject")

' This part works and picPath is equal to the absolute path and pic file name.
' First get the path relative to the album
    Set pic = alb.GetVisiblePicture(0)
    picPath = alb.ExpandMacro( pic, "%RP" )
    app.Trace "The path for the first picture is " & picPath
    dim k, pathstring
    k = instrrev(picPath,"\") 		' Search for the last back-slash
    pathstring = left(picPath, k)
    app.Trace "The pathstring is " & pathstring

    Set f = fso.OpenTextFile( pathstring & outputFileName, ForWriting, True)
    f.WriteLine "<HTML>" 
    f.WriteLine "<Head>" 
    f.WriteLine "   <META HTTP-EQUIV=""Content-Type"" CONTENT=""text/html; charset=iso-8859-1"">"
    f.WriteLine "   <META NAME=""Generator"" CONTENT=""MyAlbum"">"
    f.WriteLine "   <title> " & titlename & "</title>"
    f.WriteLine "</Head>" 
    f.WriteLine "<frameset framespacing=0 border=false rows=40,* frameborder=0>"
    f.WriteLine "<frame name=banner scrolling=no noresize target=contents src=top.html marginheight=0>"
    f.WriteLine "<frameset cols=190,*>"
    f.WriteLine "<frame name=contents target=main src=menu.html>"
    f.WriteLine "<frame name=main src=main.html scrolling=auto marginwidth=0 marginheight=0>"
    f.WriteLine "</frameset>"
    f.WriteLine "<noframes>"
    f.WriteLine "<BODY TEXT=" & fontcolor & " BGCOLOR=" & backgroundcolor & ">"
    f.WriteLine "<p>This page requires a frames capable browser</p>"
    f.WriteLine "</body>"
    f.WriteLine "</noframes>"
    f.WriteLine "</frameset>"
    f.WriteLine "</html>"
    app.Trace "Page " & outputfilename & " created "
    f.Close
'
' This section creates the top.html file
'
'    Set topFileName = top.html
    Set f = fso.OpenTextFile( pathstring  & "top.html", ForWriting, True)
    f.WriteLine "<HTML>" 
    f.WriteLine "<Head>" 
    f.WriteLine "<base target=contents>"
    f.WriteLine "<title>top</title>"
    f.WriteLine "</Head>" 
    f.WriteLine "<BODY TEXT=" & fontcolor & " BGCOLOR=" & backgroundcolor & " BACKGROUND=" & backgroundImg & ">"

    if backlink = "yes" then
       
       f.WriteLine "<table border=0 cellpadding=0 width=100%>"
       f.WriteLine "<TR> <TD ALIGN=Left VALIGN=center><small><font face=Arial><strong><a HREF=../" & backname & " TARGET= _top>BACK</A></font></strong></small></TD>"
       f.WriteLine "<TD><p><big><big><big><font face=Arial><strong><Center> " & titlename & " </Center></strong></font></big></big></big></p></TD>"
       f.WriteLine "</tr></table>"

    else
       f.WriteLine "<p><big><big><big><font face=Arial><strong><Center> " & titlename & " </Center></strong></font></big></big></big></p>"
    end if

    f.WriteLine "</body>"
    f.WriteLine "</html>"
    app.Trace "Page top.html created "
    f.Close
'
' This section creates the main.html file
'
    Set f = fso.OpenTextFile( pathstring & "main.html", ForWriting, True)
    f.WriteLine "<HTML>" 
    f.WriteLine "<Head>" 
    f.WriteLine "<title>main</title>"
    f.WriteLine "</Head>" 
    f.WriteLine "<BODY LEFTMARGIN=0 TOPMARGIN=0 TEXT=""" & fontcolor & """ BGCOLOR=""" & backgroundcolor & """ BACKGROUND=""" & backgroundImg & """>"
    f.WriteLine "<br><br><br><br><Center>"
    f.WriteLine "<table border=0 cellpadding=0 width=70%>"
    f.WriteLine "<tr>"
    f.WriteLine "<td width=100% colspan=2 align=left>"
    f.WriteLine "<big><big><big><font face=Arial><strong><Center>" & maintext & " </Center></strong></font></big></big></big></p>"
    f.WriteLine "</td></tr></table></center>"
    f.WriteLine "</body>"
    f.WriteLine "</html>"
    app.Trace "Page main.html created "
    f.Close
'
'
' This section creates the menu.html file
'
    app.Trace "Page menu.html being created "

    Set f = fso.OpenTextFile( pathstring & "menu.html", ForWriting, True)
    f.WriteLine "<HTML>" 
    f.WriteLine "<Head>" 
    f.WriteLine "   <title> " & titlename & "</title>"
    f.WriteLine "<base target=main>"
    f.WriteLine "</Head>" 
    f.WriteLine "<BODY TEXT=""" & fontcolor & """ BGCOLOR=""" & backgroundcolor & """ BACKGROUND=""" & backgroundImg & """>"

    if bgmusic = "yes" then
       f.WriteLine "<embed SRC=" & midiname & " AUTOSTART=TRUE DELAY=0  CONTROLS=CONSOLE LOOP=FALSE></embed>"
    end if

    f.WriteLine "<small><small><blink>Click Here</blink><br></small></small>"
    f.WriteLine "<div align=left>"

'
'
' The following lines go to the creation of the MENU files
'
'
    ' Process each selected picture
    Dim nbPic, i, flsh, flshval
    nbPic = alb.nbVisiblePicture
    app.Trace "Pictures to process in this album: " & nbPic
    f.WriteLine "<form>"
    f.WriteLine "<br><center>"	' Everything is centered
    for i=0 to nbPic-1
        Set pic = alb.GetVisiblePicture(i)
          if pic.bSelected then

            f.WriteLine "<table border=1 cellpadding=4 width=100%>"
            f.WriteLine "<tr>"
   
            ' Important : convert the filename so it is web-compatible
            Dim picFile, thFile
            ' First get the path relative to the album
            picFile = alb.ExpandMacro( pic, "%RP" )
            ' Build the name of the thumbnail assuming "_th" is appended
	    ' to the name and its type is the same as the original picture
            k = instrrev( picFile, "." )
	    thFile = left(picFile, k-1) & "_th" & mid(picFile, k)

            f.WriteLine "<td width=100% colspan=2 align=center><A HREF=""" & app.HTMLFileName(picFile, pathstring ) & """><IMG SRC=""" & app.HTMLFileName(thFile, pathstring ) & """ border=0 ALT=""" & pic.sCommentFirstLine & """></td>"
            f.WriteLine "</tr>"
            f.WriteLine "</table>"

'            SaveFPXRSound
' This script will analyze the selected pictures. If an embedded sound
'(FPXR extension in JPEG file) is found the sound is save in a file have the
' same name as the picture.
'
	dim filename, l, wavSound, wavName
	pic.load True
	if pic.getPicDataType(0) = 1 then ' Type 1 is FPXR sound
 		' Get the relative path of the picture
 	      filename = alb.ExpandMacro( pic, "%RP" )
 		app.Trace "  Processing #" & i+1 & " " & filename
		app.Trace "    Found wav data: " & pic.getPicDataSize(0) & " bytes"
		l = instrrev( filename, "." )
		filename = left( filename, l ) & "wav"
		app.Trace "    Saving wav data in '" & filename & "'..."
		pic.SavePicData 0, filename
	    	picFile = pic.sShortFileName
		l = instrrev( picFile, "." )
		wavName = left( picFile, l ) & "wav"

	    ' Build the drop-down list with the picture info

		f.WriteLine " <SELECT NAME=where onChange=window.open(this.options[this.selectedIndex].value,'_top')>"
		f.WriteLine " <OPTION selected value=>Listen to Audio<OPTION>"
		f.WriteLine " <OPTION value="  & wavName &  " > "  & wavName &  " </OPTION>"
     		f.WriteLine " <OPTION value=>Name " & picFile & "</OPTION>"
      else
	    	picFile = pic.sShortFileName
   		f.WriteLine "<SELECT name=""" & picFile & """ size=1>" & picFile
     		f.WriteLine " <OPTION selected value=>Name " & picFile & "</OPTION>"

	end if
	pic.load False			

	    ' Finish building the drop-down list with the picture info

            f.WriteLine " <OPTION value=>Date "  & alb.ExpandMacro(pic, "%C1") &  " </OPTION>"
            f.WriteLine " <OPTION value=>Time "  & alb.ExpandMacro(pic, "%C2") &  " </OPTION>"
            f.WriteLine " <OPTION value=>Resolution " & pic.w & "x" & pic.h & "</OPTION>"
            f.WriteLine " <OPTION value=>Size " & round(pic.dwFileSize / 1024) & " KB</OPTION>"
            f.WriteLine " <OPTION value=>Aperture " & alb.ExpandMacro(pic, "%C3") & "</OPTION>"
            f.WriteLine " <OPTION value=>Shutter " & alb.ExpandMacro(pic, "%C4") & "</OPTION>"

		flsh = alb.ExpandMacro( pic, "%C5") 
			if flsh= "" then
				flshval = "N"
			else
				flshval = flsh
			end if

            f.WriteLine " <OPTION value=Flash>Flash " & flshval & "</OPTION>"
            f.WriteLine " <OPTION value=Zoom>Zoom " & alb.ExpandMacro(pic, "%C6") & "</OPTION>"
            f.WriteLine "</SELECT>"
	      f.WriteLine "<br>"
'	end if
'	pic.load False
            app.Trace "File " & picFile & " added"
          else
            app.Trace "File " & picFile & " skipped"
          end if


    next

    f.WriteLine "</center>"
    f.WriteLine "</form>"
    if backlink = "yes" then
       
       f.WriteLine "<table border=0 cellpadding=0 width=100%>"
       f.WriteLine "<TR> <TD ALIGN=Left VALIGN=center><small><font face=Arial><strong><a HREF=../" & backname & " TARGET= _top>BACK</A></font></strong></small></TD>"
       f.WriteLine "</tr></table>"
    end if

    f.WriteLine "<small><small>Build with MyAlbum script</small></small>"
    f.WriteLine "<small><small><font color=#FF0000><BR>Created by:</font></small></small>"
    f.WriteLine "<small><small><font color=#FF0000><BR>mpilihp@yahoo.com</font></small></small>"
    f.WriteLine "<small><small><font color=#FF0000><BR>With help by:</font></small></small>"
    f.WriteLine "<small><small><font color=#FF0000><BR>pierre.meindre@libertysurf.fr</font></small></small>"
    f.WriteLine "<small><small><font color=#FF0000><BR>With code from:</font></small></small>"
    f.WriteLine "<small><small><font color=#FF0000><BR>r.p.feria@ieee.org</font></small></small>"
    f.WriteLine "<small><small><font color=#FF0000><BR>Steve@sdean.demon.co.uk</font></small></small>"

    f.WriteLine "</BODY>"
    f.WriteLine "</html>"

    f.Close

    app.Trace nbPic & " picture processed."
    app.Trace "HTML file generation complete !"
    app.Trace "This script creates a web page that uses thumbnail pictures in the menu."
    app.Trace "Create these from My Album Tools -> Export Album menu option."
    app.Trace "Select -Save Thumbnails- then set Output Directory to where this albums images are located, and prest Start!"

    MsgBox( "Please read the last three lines in trace for instructions on completing this WEB page." & vbcrlf & "Please select OK to continue")

    ' Launch browser
    app.Run pathstring & outputFileName, True, 1

else
    app.Trace "No album to process, exiting !"
end if

' ********************************************************************************
' *
' * GetAlbum : get the current album or prompt the user to select one
' *
Function GetAlbum( byref alb )
    GetAlbum = True
    ' First try to use the current album
    set alb = app.GetCurrentAlbum
    if alb is nothing then	' No album is open
        dim albFile
        albFile = InputBox( "Please enter the name of the album to process", "Simple HTML generator", "")
        set alb = app.LoadAlbum( albFile )
        if alb is Nothing then
            GetAlbum = False
        end if
    end if
End Function
