' ------------------------------------------------------------------------------------
'         		IncreaseColors.vbs
' ------------------------------------------------------------------------------------

Option Explicit


dim alb, i, nb, pic, picNew, kPos, rect, k

app.ClearTrace
set alb = app.GetCurrentAlbum
nb = alb.nbPicture
for i=0 to nb-1
  Set pic = alb.GetPicture(i)
  if pic.bSelected = True then

    ' Get the current picture and copy it to the cliboard
    kPos = i
    pic.copy(0)

    ' Create an empty new picture with the same size
    set picNew = alb.NewPicture( pic.w, pic.h, 16, 0 )
    ' Move the new picture just after the original picture
    alb.MovePicture picNew, kPos, True

    ' Paste the current picture into the new one
    picNew.paste 0, 0

    ' Copy the whole picture to the clipboard
    picNew.copy(0)
    alb.DeletePicture picNew
    set picNew = Nothing

    ' Now create a "real" picture with it's name derived from the original picture name
    dim filename
    filename = pic.sFileName
    k = instrrev( filename, "." )
    ' The new picture will have "_color" appended to its name and will be a BMP picture
    filename = left( filename, k-1 ) & "_color.bmp"
    ' Paste the picture on the clipboard to a new picture and save it
    alb.paste filename
    ' The new picture is at the end of the album, move it next to the original picture
    alb.MovePicture alb.GetPicture( alb.nbPicture-1 ), kPos, True

    i = i+1
  end if
next
alb.redraw

