' ------------------------------------------------------------------------------------
'					TestDB.vbs
' Sample script to show how to read and write data to a database.
' It uses a Microsoft Access database, a DSN must be defined (TestMyAlbum).
' The script read a table, then create a new table and write info about 
' the current album picture in it.
' ------------------------------------------------------------------------------------

Option Explicit

dim myConnection, SQLQuery, RSTitleList

app.cleartrace
app.Trace "Reading data..."
set myConnection = CreateObject("ADODB.Connection")
myConnection.Open "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=axDB.mdb;Persist Security Info=False"
'myConnection.Open "DSN=TestMyAlbum"

' First read some date from the database: the records of the table
' named 'RegUser' are listed (first 3 fields).
SQLQuery = "select * from Categ"
set RSTitleList =  myConnection.Execute(SQLQuery)
RSTitleList.MoveFirst
while not RSTitleList.EOF
  app.Trace RSTitleList.fields(0).value & " " & RSTitleList.fields(1).value ' & chr(9) & "(" & RSTitleList.fields(2) & ")"
  RSTitleList.MoveNext
wend

app.Trace "Writing data..."
' Create a new table
SQLQuery = "Create Table TestPic ( Name char(80), size integer, w integer, h integer )"
set RSTitleList =  myConnection.Execute(SQLQuery)
dim alb, pic, i, n, rsPic
Set rsPic = CreateObject("ADODB.Recordset")
rsPic.CursorType = 1
rsPic.LockType = 3 'adLockOptimistic

rsPic.Open "TestPic", myConnection, , , 2 'adCmdTable

' Transfert all the pictures of the current album in the new table
set alb = app.getCurrentAlbum
n = alb.nbPicture
for i=0 to n-1
  set pic = alb.getPicture(i)
  app.trace pic.sShortFileName
  rsPic.addnew
  ' Write some info in the database...
  rsPic.fields(0).value = pic.sShortFileName
  rsPic.fields(1).value = pic.dwFileSize
  rsPic.fields(2).value = pic.w
  rsPic.fields(3).value = pic.h
  rsPic.update
next

app.Trace "Done !"
