' ------------------------------------------------------------------------------------
'					TestNewTrace.vbs
'
' This script demonstrates the new parameters for the app.Trace method for MyAlbum 2.3
' Text color can be selected and an icon can be placed at the begining of each line.
' The script lists the available icons.
' ------------------------------------------------------------------------------------

app.ClearTrace

for i = 0 to 60
  if     i < 10 then
    app.Trace "Line " & i, 0, TRACE_NONE
  elseif i < 20 then
    app.Trace "Line " & i, 255, TRACE_INFORMATION
  elseif i < 30 then
    app.Trace "Line " & i, 255*256, TRACE_WARNING
  elseif i < 40 then
    app.Trace "Line " & i, 255*256*256, TRACE_ERROR
  elseif i < 50 then
    app.Trace "Line " & i, 255*256+255, TRACE_QUESTION
  elseif i < 60 then
    app.Trace "Line " & i, 255*256*256, TRACE_OK
  end if
next

app.Trace ""
app.Trace "Available icons:", 255
app.Trace "No icon", 0, TRACE_NONE
app.Trace "Information", 0, TRACE_INFORMATION
app.Trace "OK", 0, TRACE_OK
app.Trace "Warning", 0, TRACE_WARNING
app.Trace "Error", 0, TRACE_ERROR
app.Trace "Script error", 0, TRACE_SCRIPTERROR
app.Trace "Question", 0, TRACE_QUESTION
app.Trace "Red dot", 0, TRACE_REDDOT
app.Trace "Green dot", 0, TRACE_GREENDOT
app.Trace "Yellow dot", 0, TRACE_YELLOWDOT
app.Trace "Right Arrow", 0, TRACE_ARROW
app.Trace "Bomb", 0, TRACE_BOMB
app.Trace "Flag meaning complete", 0, TRACE_FLAGCOMPLETE
app.Trace "Faillure sign", 0, TRACE_FAILURE
app.Trace "Positive sign", 0, TRACE_POSITIVE
app.Trace "Negative sign", 0, TRACE_NEGATIVE
app.Trace "Lightbulb on", 0, TRACE_LIGHTON
app.Trace "Lghtbulb off", 0, TRACE_LIGHTOFF
app.Trace "Look at sign", 0, TRACE_LOOKAT
app.Trace "Red traffic light", 0, TRACE_TLRED
app.Trace "Yellow traffic light", 0, TRACE_TLYELLOW
app.Trace "Green traffic light", 0, TRACE_TLGREEN
app.Trace "Wait sign", 0, TRACE_WAIT
app.Trace "Unchecked", 0, TRACE_UNCHECKED
app.Trace "Checked", 0, TRACE_CHECKED
